Check Reserved Routes For Domain

Check Reserved Routes For Domain
Check reserved routes for a domain

Check if a specific route for a domain exists, regardless of the user’s visibility for the route in case the route belongs to a space the user does not belong to.

Request
URI
GET
https://api.example.local/v3/domains/{guid}/route_reservations
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

Query Parameters
string
host
Optional

Hostname to filter by

string
path
Optional

Path to filter by

integer
port
Optional

Port to filter by


Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "matching_route": false
}
boolean
matching_route
Optional

matching_route


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/domains/{guid}/route_reservations